Bug 90770 - (SCSI AIC79XX)aic79xx memory map problem
(SCSI AIC79XX)aic79xx memory map problem
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-13 11:44 EDT by Klaus Schuster
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Klaus Schuster 2003-05-13 11:44:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95; DT)

Description of problem:
kernel: SCSI subsystem driver Revision: 1.00
kernel: aic79xx : PCI 3:2:1 MEM region 0x0 unavailable 
        Cannot memory map device 
        nvram-scb == 0xfe
        SCBPTR == 0xff
        Signature = BIOS

Version-Release number of selected component (if applicable):
kernel-2.4.20-8smp plus kernel-2.4.20-8 and kernel-2.4.20-9smp 

How reproducible:
Always

Steps to Reproduce:
1. start up
2. reboot
3.
    

Additional info:

U320 SCSI
Adaptec SCSI Card 39320D
Comment 1 Nate Faerber 2003-05-20 20:55:00 EDT
You are best off using the 1.3.8 driver for Justin Gibb's website:
http://people.freebsd.org/~gibbs/linux/

Red Hat has not been responding to bug reports on this driver for some reason. 
Also, the kernel has gone through several errata releases without a single
update from the 1.0.0 driver which is EXTREMELY unstable.  This problem
currently exists in 7.x, 8.0 and 9. 2.4.20-13.x is still at 1.0.0.

Any response would be nice, Arjan or Brian.  "1.3.8 will be out in the next
errata" would be ideal.  What is holding this up?
Comment 2 Arjan van de Ven 2003-05-21 04:02:30 EDT
We will eventually look at updating this driver when Adaptec manages to do one
that doesn't break aic7xxx as well and we can test it good enough.
I'm considering taking the one from 2.4.21-rc2 because that one is at least
separate.

Comment 3 Pekka Savola 2003-06-09 06:51:50 EDT
FWIW, we experienced the same issue.  Driver would start fine, but Linux always
rebooted when scanning the bus for disk drives.  Getting 1.3.10 (latest) from
Justin's site fixed the problem for us, at least for now.
Comment 4 Jesse Keating 2003-07-30 15:30:37 EDT
Of note, this driver in 2.4.20-19.9 does not work for the following card:

03:02.0 SCSI storage controller: Adaptec: Unknown device 801d (rev 10)
        Subsystem: Adaptec: Unknown device 005e
        Flags: bus master, 66Mhz, slow devsel, latency 64, IRQ 28
        I/O ports at 4400 [disabled] [size=256]
        Memory at fc300000 (64-bit, non-prefetchable) [size=8K]
        I/O ports at 4000 [disabled] [size=256]
        Expansion ROM at <unassigned> [disabled] [size=512K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [a0] Message Signalled Interrupts: 64bit+ Queue=0/1 Enable-
        Capabilities: [94] PCI-X non-bridge device.


Installing the kernel from severn enables this device to work, or installing the
drivers from http://people.freebsd.org/~gibbs/linux/.
Comment 5 Kaj J. Niemi 2003-07-30 15:35:58 EDT
See bug #100884 for more info regarding device 0x9005 0x801d.
Comment 6 Oliver Jones 2003-09-06 02:16:05 EDT
I too get the "kernel: aic79xx : PCI X:X:X MEM region 0x0 unavailable" message
on boot.

Currently we running on RH9's latest kernel errata (2.4.20-20.9smp).

It seems as of now the latest version of Justins driver only has prebuilt
modules for 2.4.20-18smp so I'm down-grading and trying my luck.

Our system boots but we're getting lockups in the night for no obvious reason.
Comment 7 Bugzilla owner 2004-09-30 11:40:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.